Aggiornamenti Cooker/2009.1

11 risposte [Ultimo messaggio]
Ritratto di pillotz
pillotz
(Geek)
Offline
Geek
Iscritto: 03/06/2007
Messaggi: 84

ciao a tutti

se voglio fare aggiornamenti in Cooker 2009.1 cosa mi consigliate ?
come devo procedere?

MANDRIVA PER SEMPRE
-------------------------------------------------------------------------------------

mai mettersi a discutere con uno stupido, prima ti porta al suo livello e poi ti batte per l'esperienza.

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Teoricamente passare a Cooker è facile, basta cambiare le sorgenti di Mandriva ed usare queste

ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/devel/cooker/i586/media/main/release/
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/devel/cooker/i586/media/contrib/release/
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/devel/cooker/i586/media/non-free/release/
ftp://ftp.cica.es/mirrors/Linux/plf/mandrake/cooker/free/binary/i586/
ftp://ftp.cica.es/mirrors/Linux/plf/mandrake/cooker/non-free/binary/i586

ed aggiornare la macchina

Purtroppo la realtà non è così perché

1) Cooker è la versione di sviluppo di Mandriva per cui è sconsigliata a utenti inesperti.

2) Ci vuole una bella ADSL perché per gli aggiornamenti si parla di vari GB e migliaia di file

3) Non sempre l'aggiornamento va a buon fine per cui poi devi sapertela cavare da solo per cui ci

4) Quando si comincia con Cooker poi non si può più smettere e bisogna continuamente aggiornare la macchina, si parla di almeno 1GB ogni 3/4 giorni

Se proprio vuoi tentare dai sempre un occhiata alla mia rubrichetta su Cooker che trovi nella home page, l'ultimo numero è http://www.mandrakeitalia.org/modules/news02/article.php?storyid=2121

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di pillotz
pillotz
(Geek)
Offline
Geek
Iscritto: 03/06/2007
Messaggi: 84

ciao moreno
ho provato a passare a cooker ma per me e un'impresa impossibile (per ora).

:-o :-o

MANDRIVA PER SEMPRE
-------------------------------------------------------------------------------------

mai mettersi a discutere con uno stupido, prima ti porta al suo livello e poi ti batte per l'esperienza.

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Non ti preoccupare se questa volta non ci riesci magari andrà meglio la prossima volta o magari puoi cominciare ad installare la alpha che uscirà fra pochi giorni che ti eviterà di dover aggiornare la macchina a Cooker.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di luke008
luke008
(Junior)
Offline
Junior
Iscritto: 12/12/2008
Messaggi: 6

Prima di tutto un saluto a tutti i membri di questo straordinario forum !! (spero di essere stato abbastanza adulatore !!:-P)
A me è capitato ciò che moreno aveva preannunciato un paio ....di post fa. Aggiornando un paio di giorni fa la mia macchina cooker si è installato il pacchetto
rpm-4.6.0-0.rc2.1mnb2.x86_64.rpm
...risultato ora non posso più aggiornare nulla in quanto se do il comando
urpmi --auto-update

mi da questo risultato:

Per soddisfare le dipendenze, sarà installato il seguente pacchetto:
Pacchetto Versione Release Arch.
(supporto "CookerMain2")
rpm 4.6.0 0.rc3.1mnb2 x86_64
958B di spazio disco saranno liberati.
verranno scaricati 445KB di pacchetti.
Procedo con l'installazione di un pacchetto? (S/n) s

ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/devel/cooker/x86_64/media/main/release/rpm-4.6.0-0.rc3.1mnb2.x86_64.rpm
installazione di rpm-4.6.0-0.rc3.1mnb2.x86_64.rpm da /var/cache/urpmi/rpms
In preparazione... ##########################################################################################
errore: scriptlet %pre(rpm-1:4.6.0-0.rc3.1mnb2.x86_64) fallita, uscita con stato 255
errore: install: scriptlet %pre fallito (2), omissione rpm-1:4.6.0-0.rc3.1mnb2
Riavvio di urpmi
*** glibc detected *** /usr/bin/perl: free(): invalid pointer: 0x00000000019ee8d8 ***

qualcuno di voi ha avuto la mia stessa esperienza ? ......please help me!!
Sad

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

E' possibile che abbiano fatto qualche piccolo disastro con questo pacchetto, l'unica è aspettare un ulteriore aggiornamento.

Io non ho ancora aggiornato e prevedo di farlo domani sia sulle macchine i586 che x86_64, ti farò sapere.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Nella macchina i586 non ho riscontrato problemi di aggiornamento di rpm, prova eventualmente a dare urpmi --clean o a cambiare le sorgenti da cui scarichi i pacchetti.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di irascibile
irascibile (non verificato)
()

Ciao a tutti,
ho aggiornato stamattina il mio hp compaq nx 6110, aggiornamento riuscito,
ha aggiornato oltre 390 pacchetti, portando kde alla 4.1.82. per adesso al riavvio tutto ok.

cordialmente

Irascibile

Ritratto di randerot
randerot
(Geek)
Offline
Geek
Iscritto: 05/05/2007
Messaggi: 111

io invece non riesco più ad aggiornare, nè dal centro di controllo nè da shell con
urpmi --auto-select
e neanche con
urpmi --auto-update

mi da questo errore

*** glibc detected *** /usr/bin/perl: double free or corruption (!prev): 0x00000000019367e0 ***

che non so proprio cosa significa! ho provato a reinstallare alcuni pacchetti con --replacepkg (urpmi, rpm glib) ma continua a non funzionare

quando ho provato a installare glib mi ha addirittura detto che la firma era errata!

che faccio?

______________________________________________________________________________________________________________________________________________

Notebook Asus M60J CPU: i7-720QM Memory: 4Gb Scheda Video: Nvidia GT 240M Display: 16.0" HD/led

Ritratto di luke008
luke008
(Junior)
Offline
Junior
Iscritto: 12/12/2008
Messaggi: 6

deve essere un problema solo delle macchine x64 ...Moreno tu hai anche aggiornato la macchina con x64 o solo quella i586?

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Dopo lunghe sofferenze sono riuscito a parzialmente aggiornare la macchina x86_64.

L'aggiornamento dei pacchetti Rpm e famiglia non ha comportato alcun problema quelli sono venuti dopo.
Misteriosamente selezionando alcuni pacchetti dell'aggiornamento rpmdrake ed urpmi vanno in tilt in maniera irreversibile.
Dopo oltre 100 tentativi selezionando singoli pacchetti sono risuscito ad aggiornare 562 pacchetti rpm, ne mancano quasi 100 ma non ho ancora capito cosa hanno di speciale questi pacchetti da mandare tutto in tilt.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.